\documentclass[ngerman, a4paper]{scrartcl}

% Language and fonts
\usepackage[ngerman]{babel}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{lmodern}

\usepackage{datatool}

% Graphics and color
\usepackage{xcolor}
\definecolor{mathezirkel}{RGB}{50,32,139}
\usepackage{graphicx}

\usepackage{event}

\DTLsetseparator{;}
\DTLloaddb{teilnehmende}{teilnehmende.csv}
\DTLloaddb{betreuende}{betreuende.csv}

\usepackage[durable1455]{ticket}

\renewcommand{\ticketdefault}{%
    \put(7,0.3){\includegraphics[scale=0.08]{gregor/cover.png}}
    \put(4,2.5){\makebox[0mm]{\centering{\Large{\textsc{\event~\eventYear}}}}}
}

\newcommand{\badge}[1]{%
    \ticket{%
        \put(4,3.5){\makebox[0mm]{\centering{\Huge{\textbf{#1}}}}}
    }
}

\newcommand{\badgeBetreuer}[2]{%
    \ticket{%
        \put(4,3.5){\makebox[0mm]{\centering{\Huge\textbf{#1}~\Large{(#2)}}}}
        \put(4,1){\makebox[0mm]{\centering{\Large{\textsc{\textcolor{mathezirkel}{Betreuer:in}}}}}}
    }
}

% Footer
\pagestyle{empty}

\begin{document}
    \DTLforeach{teilnehmende}{\vorname=Vorname}{%
        \badge{\vorname}
    }

    \DTLforeach{betreuende}{\vorname=Vorname,\pronomen=Pronomen}{%
        \badgeBetreuer{\vorname}{\pronomen}
    }
\end{document}
